Subject: bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: Juri Linkov <[email-masked]>
Date: Thu, 08 Jul 2021 20:51:57 +0300

>> But there is a more serious problem: the implementation of
>> 'drag-with-tab-line' now closes the tab even after just
>> clicking on it to select (not on the close button).
>> I can reproduce this only when one of tabs on the tab-line
>> contains an *info* buffer (maybe because it has the header-line?)
>>
>> The problem doesn't exist after evaluating:
>>    (global-unset-key [tab-line down-mouse-1])
>> I haven't debugged it yet.
>
> I think the culprit is this binding
>
>     (define-key map [tab-line mouse-2] 'tab-line-close-tab)

This is fixed now in tab-line.el by using the property 'follow-link'
with the value 'ignore'.